Skip to main content
`Ctrl`+`K`

# PetscEqualReal

Returns whether the two `PetscReal` variables are equal

## Synopsis

    PetscBool PetscEqualReal(PetscReal a, PetscReal b)

## Input Parameters

- a - first real number

- b - second real number

## Note

Equivalent to “a == b”. Should be used to prevent compilers from emitting floating point comparison warnings (e.g. GCC’s -Wfloat-equal flag) in PETSc header files or user code.

## See Also

`PetscIsCloseAtTol()`, `PetscEqualScalar()`

## Level

developer

## Location

src/sys/utils/matheq.c

## Examples

src/ksp/ksp/tutorials/ex52.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages